Package: groovy.lang

## [Java] Interface MetaClassRegistryChangeEventListener

-     public interface MetaClassRegistryChangeEventListener
      extends EventListener

  A listener called whenever a constant MetaClass is set, removed or replaced.

  See Also:
    MetaClassRegistry
    MetaClassRegistryChangeEvent

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `updateConstantMetaClass(MetaClassRegistryChangeEvent cmcu)` Called when the constant MetaClass is updated.

- - ### Method Detail

    - #### public void updateConstantMetaClass(MetaClassRegistryChangeEvent cmcu)

      Called when the constant MetaClass is updated. If the new MetaClass is null, then the MetaClass is removed. Be careful, while this method is executed other updates may happen. If you want this method thread safe, you have to take care of that by yourself.

      Parameters:
        `cmcu` - - the change event